PlaceableProductionPointPremium = {
	prerequisitesPresent = function (specializations)
		return SpecializationUtil.hasSpecialization(PlaceableInfoTrigger, specializations)
	end,
	registerEventListeners = function (placeableType)
		SpecializationUtil.registerEventListener(placeableType, "onLoad", PlaceableProductionPointPremium)
	end,
	registerXMLPaths = function (schema, basePath)
		schema:setXMLSpecializationType("ProductionPoint")
		ProductionPoint.registerXMLPaths(schema, basePath .. ".productionPointPremium")
		schema:setXMLSpecializationType()
	end,
	onLoad = function (self, savegame)
		local specOriginal = self.spec_productionPoint

		if g_modIsLoaded.pdlc_premiumExpansion or g_modIsLoaded.premiumExpansion_DLC or g_modIsLoaded.premiumExpansion then
			Logging.info("Premium Expansion activated. Loading extended production point premium")

			if self.xmlFile:hasProperty("placeable.productionPointPremium") then
				specOriginal.productionPoint:delete()

				local productionPoint = ProductionPoint.new(self.isServer, self.isClient, self.baseDirectory)
				productionPoint.owningPlaceable = self

				if productionPoint:load(self.components, self.xmlFile, "placeable.productionPointPremium", self.customEnvironment, self.i3dMappings) then
					specOriginal.productionPoint = productionPoint
				else
					productionPoint:delete()
					self:setLoadingState(Placeable.LOADING_STATE_ERROR)
				end
			end
		end
	end
}
