loadFruitTypes = {}

local modDir = g_currentModDirectory
local modName = g_currentModName

function loadFruitTypes.loadMapData(self, superFunc, xmlFile, missionInfo, baseDirectory)
    superFunc(self, xmlFile, missionInfo, baseDirectory)
    local xmlFile = loadXMLFile("mod_fruitTypes", modDir .. "xml/fruitTypes.xml");

    if xmlFile ~= nil then
        g_fruitTypeManager:loadFruitTypes(xmlFile, missionInfo, false);
        loadFruitTypes.addMaizeCobParticleSystems();
        delete(xmlFile)
    end
end;

FruitTypeManager.loadMapData = Utils.overwrittenFunction(FruitTypeManager.loadMapData, loadFruitTypes.loadMapData)

function loadFruitTypes.addMaizeCobParticleSystems()
    g_particleSystemManager:addParticleType("UNLOADING_MAIZECOB");
    g_particleSystemManager:addParticleType("UNLOADING_DRYMAIZECOB");
    g_particleSystemManager:addParticleType("UNLOADING_GREENMAIZECOB");
end;

FruitTypeManager.loadFruitTypeWindrow = Utils.overwrittenFunction(FruitTypeManager.loadFruitTypeWindrow, function (self, superFunc, fruitType, xmlFile, key, ...)
    superFunc(self, fruitType, xmlFile, key, ...);
    local maize = g_fruitTypeManager:getFruitTypeByName("maize");

    if maize ~= nil then
        local windrowFillType = g_fillTypeManager:getFillTypeByName("maizestalks");

        maize.hasWindrow = true;
        maize.windrowName = windrowFillType.name;
        maize.windrowLiterPerSqm = 3.84;
        self.windrowFillTypes[windrowFillType.index] = true;
        self.fruitTypeIndexToWindrowFillTypeIndex[maize.index] = windrowFillType.index;
        self.fillTypeIndexToFruitTypeIndex[windrowFillType.index] = maize.index;
    end;

    return true;
end)