loadMotionPathEffects = {}

local modDir = g_currentModDirectory
local modName = g_currentModName

function loadMotionPathEffects.loadMapData(self, superFunc, xmlFile, missionInfo, baseDirectory)
    superFunc(self, xmlFile, missionInfo, baseDirectory)

    local xmlFile = loadXMLFile("mod_file", modDir .. "modDesc.xml")

    g_motionPathEffectManager:loadMotionPathEffects(xmlFile, "modDesc.motionPathEffects.motionPathEffect", modDir, modName)

    local externalXMLFilename = getXMLString(xmlFile, "modDesc.motionPathEffects#filename")

    if externalXMLFilename ~= nil then
        externalXMLFilename = Utils.getFilename(externalXMLFilename, modDir)
        local externalXMLFile = XMLFile.load("motionPathXML", externalXMLFilename)

        if externalXMLFile ~= nil then
            g_motionPathEffectManager:loadMotionPathEffects(externalXMLFile.handle, "motionPathEffects.motionPathEffect", modDir, modName)
            externalXMLFile:delete()
        end
    end

    return true
end

MotionPathEffectManager.loadMapData = Utils.overwrittenFunction(MotionPathEffectManager.loadMapData, loadMotionPathEffects.loadMapData)