local function inj_utils_getFilename(filename, superFunc, baseDir)
    if filename == nil then
        printCallstack()

        return nil
    end

    if type(filename) == "boolean" then
        printCallstack()
    end

    if filename == "data/placeables/pelletHall/palletizer/palletizer.xml" then
        filename = "$moddir$FS22_cornProductionPack/placeables/productionPoints/pelletHall/palletizer/palletizer.xml"
    elseif filename == "data/placeables/pelletHeatPlant/pelletHeatPlant.xml" then
        filename = "$moddir$FS22_cornProductionPack/placeables/productionPoints/pelletHeatPlant/pelletHeatPlant.xml"
    end

    local filenameLower = filename:lower()
    local modPrefix = "$moddir$"

    if string.startsWith(filenameLower, modPrefix) then
        local startIndex = modPrefix:len() + 1
        local modName = filename
        local f, l = filename:find("/", startIndex)

        if f ~= nil and l ~= nil and startIndex < f - 1 then
            modName = filename:sub(startIndex, f - 1)
        end

        baseDir = g_modNameToDirectory[modName]
        filename = filename:sub(f + 1)
    end

    if filename:sub(1, 1) == "$" then
        return filename:sub(2), false
    elseif baseDir == nil or baseDir == "" then
        return filename, false
    elseif filename == "" then
        return filename, true
    end

    return baseDir .. filename, true
end

Utils.getFilename = Utils.overwrittenFunction(Utils.getFilename, inj_utils_getFilename)